> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Get HPR Info

> Check if HPR ID Exists



## OpenAPI

````yaml post /abdm/nhpr/v1/hpr/aadhaar/check/exist
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/nhpr/v1/hpr/aadhaar/check/exist:
    post:
      description: Check if HPR ID Exists
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NhprTransactionId'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/HandlerTypedAPIResponseGithubComEkaCareNdhmPkgNhprNhprEKAIsHPRIDExistsResponse
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    NhprTransactionId:
      properties:
        mobile_num:
          type: string
        txn_id:
          type: string
      type: object
    HandlerTypedAPIResponseGithubComEkaCareNdhmPkgNhprNhprEKAIsHPRIDExistsResponse:
      properties:
        data:
          $ref: '#/components/schemas/NhprEKAIsHPRIDExistsResponse'
        error: {}
        success:
          type: boolean
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    NhprEKAIsHPRIDExistsResponse:
      properties:
        address:
          type: string
        category_id:
          type: integer
        day_of_birth:
          type: string
        district_code:
          type: string
        district_name:
          type: string
        first_name:
          type: string
        gender:
          type: string
        hpr_id:
          type: string
        hpr_id_number:
          type: string
        last_name:
          type: string
        middle_name:
          type: string
        mobile:
          type:
            - 'null'
            - string
        month_of_birth:
          type: string
        name:
          type: string
        new:
          type: boolean
        pincode:
          type: string
        profile_photo:
          type: string
        state_code:
          type: string
        state_name:
          type: string
        sub_category_id:
          type: integer
        token:
          type: string
        txn_id:
          type: string
        year_of_birth:
          type: string
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````